c**********************************************************************
c   pi.f - compute pi by integrating f(x) = 4/(1 + x**2)     
c     
c   Each node: 
c    1) receives the number of rectangles used in the approximation.
c    2) calculates the areas of it's rectangles.
c    3) Synchronizes for a global summation.
c   Node 0 prints the result.
c
c  Variables:
c
c    pi  the calculated result
c    n   number of points of integration.  
c    x           midpoint of each rectangle's interval
c    f           function to integrate
c    sum,pi      area of rectangles
c    tmp         temporary scratch space for global summation
c    i           do loop index
c****************************************************************************
      program main

      include 'mpif.h'

      integer myid, numprocs, status(MPI_STATUS_SIZE)
	complex acomplex(336,336)

      call MPI_INIT( ierr )
      call MPI_COMM_RANK( MPI_COMM_WORLD, myid, ierr )
      call MPI_COMM_SIZE( MPI_COMM_WORLD, numprocs, ierr )
      print *, "Process ", myid, " of ", numprocs, " is alive"

      if ( myid .eq. 0 ) then
          call MPI_SEND( acomplex, 112896, MPI_COMPLEX, 1, 
     *	               1, MPI_COMM_WORLD, ierr)
	else if ( myid .eq. 1 ) then
	    call MPI_RECV( acomplex, 112896, MPI_COMPLEX, 0, 
     *	               1, MPI_COMM_WORLD, status, ierr)
      endif
      
      call MPI_FINALIZE(rc)
      stop
      end




